## `parse_options::allow_infinity_and_nan`

Non-standard extension option.

### Synopsis

    bool allow_infinity_and_nan = false;

### Description

Allow `Infinity`, `-Infinity`, and `NaN` JSON literals. These values are produced by some popular JSON implementations for positive infinity, negative infinity and NaN special numbers respectively.

### See Also

`basic_parser`, `stream_parser`.

Edit this page